stages:
 - test

variables:
 TEST_DIR: $CI_PROJECT_DIR\src
 OUT_DIR: 'C:\\Users\\valer\\Documents\\Robo-storage'
 CACHE_DIR: $CI_PROJECT_DIR\results
 CI_LOS: 'true'
 CI_NUMBER: '2'
 CI_STRATEGY: '776'
 CI_FORESIGHT: '4'
 CI_COOLDOWN: '0.001'
 CI_HYPER: '0.005'
 
.ci_config:
 tags:
    - home
    - work
 only:
    - schedules
    - triggers
    - web
 when: manual
 variables:
    GIT_STRATEGY: clone

learning:
 stage: test
 extends:
    - .ci_config
 script:
    - cd $TEST_DIR
    - python learn_on_storage.py $OUT_DIR
 artifacts:
    expire_in: 1 day
    paths:
      - src/neuro/net/

execution:
 stage: test
 extends:
    - .ci_config
 script:
    - cd $TEST_DIR
    - python random_executor.py
 artifacts:
    when: on_failure
    paths:
      - config.json
